Bug 521152 - Review Request: mysql-workbench - MySQL gui tool for database modelling
Summary: Review Request: mysql-workbench - MySQL gui tool for database modelling
Keywords:
Status: CLOSED DUPLICATE of bug 629326
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-03 21:50 UTC by Dennis Gilmore
Modified: 2010-09-03 08:48 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-01 16:39:30 UTC
Type: ---


Attachments (Terms of Use)

Description Dennis Gilmore 2009-09-03 21:50:44 UTC
Spec URL: http://ausil.us/packages/mysql-workbench.spec
SRPM URL: http://ausil.us/packages/mysql-workbench-5.1.18-1.fc12.src.rpm
Description: MySQL gui tool for database modelling


scratch build http://koji.fedoraproject.org/koji/taskinfo?taskID=1653377 
this is targeted for F-12 only right now. there are some bugs in ctemplate in F-10 and F-11 that need fixing first

Comment 1 Pavel Alexeev 2010-01-05 19:51:45 UTC
May better be pack development release 5.2.11 beta?

And concerning Source URL: yiu in comment already point on one mirror, not on base balancing system. In this case we can choose one mirror and provide direct URL on it like:
ftp://gd.tuwien.ac.at/db/mysql/Downloads/MySQLGUITools/mysql-workbench-oss-5.2.11.tar.gz
It will be understand by rpm and other spec tools.

Also, please, update full description to something more detailed.

Also you use some magic in strip some dependency and change compile flags, can you slightly describe why? Bug links may be?

Comment 2 Dennis Gilmore 2010-02-24 06:03:17 UTC
this actually needs some more work.  mysql ship bundled librarie,  there justification was that no distro ships them.  they all need to be yanked out and to use system versions.

Comment 3 Gianluca Sforna 2010-04-01 11:52:34 UTC
I'd be interested in reviewing this one; I rebuilt the srpm and noticed the program does not work (at least, not in my F12) failing to connect to the DB with:

Test connect failed
Couldn't load library libmysqlclient_r.so: libmysqlclient_r.so: cannot open shared object file: No such file or directory

I don't think trying to load the .so is quite right, I need to check what's going on.

Comment 4 William Lovaton 2010-04-03 22:05:15 UTC
I'm interested in testing this too.  It would be great to have this in Fedora.  Is there any RPM built already?

Comment 5 Remi Collet 2010-04-04 06:15:24 UTC
(In reply to comment #4)
> Is there any RPM built already?    

See : http://blog.famillecollet.com/post/2010/04/03/mysql-worbench-5.2.17-en

The spec is not yet ready for review because 2 libraries still bundled (sinctilla, silvercity) and MySQL Connector C++ required is a bzr snapshot. 

+

Comment 6 Chen Lei 2010-06-18 18:43:53 UTC
(In reply to comment #5)
> (In reply to comment #4)
> > Is there any RPM built already?    
> See : http://blog.famillecollet.com/post/2010/04/03/mysql-worbench-5.2.17-en
> The spec is not yet ready for review because 2 libraries still bundled
> (sinctilla, silvercity) and MySQL Connector C++ required is a bzr snapshot. 
> +    

Any news on mysql-workbench?

Comment 7 Remi Collet 2010-09-01 16:39:30 UTC
Taking ownership on this review, as discussed with Dennis.

*** This bug has been marked as a duplicate of bug 629326 ***


Note You need to log in before you can comment on or make changes to this bug.